<?php
if( ! function_exists( 'nishiki_pro_wc_init_customizer_general' ) ) {
	add_action( "customize_register", "nishiki_pro_wc_init_customizer_general" );
	function nishiki_pro_wc_init_customizer_general( $wp_customize ) {

		// Section
		$wp_customize->add_section('section_nishiki_pro_wc_general',array(
			'title'     =>  __( 'General', 'nishiki-pro-wc' ),
			'priority'  =>  10,
			'panel'     =>  'section_nishiki_pro_wc',
		));

		// Heading
		$wp_customize->add_setting( 'setting_nishiki_pro_wc_general_add_to_cart', array(
			'sanitize_callback' => 'nishiki_pro_sanitize_text',
		));

		$wp_customize->add_control(
			new Nishiki_Pro_WC_Customize_Content(
				$wp_customize, 'ctrl_nishiki_pro_wc_general_add_to_cart',
				array(
					'label'         =>  '<p class="nishiki-pro-wc-customizer-heading">カートに入れるボタン</p>',
					'section'       =>  'section_nishiki_pro_wc_general',
					'settings'      =>  'setting_nishiki_pro_wc_general_add_to_cart',
				)
			)
		);

		// Add To Cart Button Text Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_add_to_cart_button_text_color',array(
			'default'           =>  '#ffffff',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_add_to_cart_button_text_color',
				array(
					'label'       =>  __( 'Main Text Color', 'nishiki-pro' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_add_to_cart_button_text_color',
				)
			)
		);

		// Add To Cart Button Text Hover Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_add_to_cart_button_text_hover_color',array(
			'default'           =>  '#ffffff',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_add_to_cart_button_text_hover_color',
				array(
					'label'       =>  __( 'Sub Text Color', 'nishiki-pro' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_add_to_cart_button_text_hover_color',
				)
			)
		);

		// Add To Cart Button Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_add_to_cart_button_color',array(
			'default'           =>  '#9064b5',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_add_to_cart_button_color',
				array(
					'label'       =>  __( 'Main Button Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_add_to_cart_button_color',
				)
			)
		);

		// Add To Cart Button Color hover
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_add_to_cart_button_color_hover',array(
			'default'           =>  '#724b96',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_add_to_cart_button_color_hover',
				array(
					'label'       =>  __( 'Sub Button Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_add_to_cart_button_color_hover',
				)
			)
		);

		// Heading
		$wp_customize->add_setting( 'setting_nishiki_pro_wc_general_detail', array(
			'sanitize_callback' => 'nishiki_pro_sanitize_text',
		));

		$wp_customize->add_control(
			new Nishiki_Pro_WC_Customize_Content(
				$wp_customize, 'ctrl_nishiki_pro_wc_general_detail',
				array(
					'label'         =>  '<p class="nishiki-pro-wc-customizer-heading">詳細を見るボタン</p>',
					'section'       =>  'section_nishiki_pro_wc_general',
					'settings'      =>  'setting_nishiki_pro_wc_general_detail',
				)
			)
		);

		// Detail Button Text Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_detail_button_text_color',array(
			'default'           =>  '#ffffff',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_detail_button_text_color',
				array(
					'label'       =>  __( 'Text Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_detail_button_text_color',
				)
			)
		);

		// Detail Button Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_detail_button_color',array(
			'default'           =>  '#eca912',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_detail_button_color',
				array(
					'label'       =>  __( 'Button Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_detail_button_color',
				)
			)
		);

		// Heading
		$wp_customize->add_setting( 'setting_nishiki_pro_wc_general_on_sale', array(
			'sanitize_callback' => 'nishiki_pro_sanitize_text',
		));

		$wp_customize->add_control(
			new Nishiki_Pro_WC_Customize_Content(
				$wp_customize, 'ctrl_nishiki_pro_wc_general_on_sale',
				array(
					'label'         =>  '<p class="nishiki-pro-wc-customizer-heading">ON SALE 表示</p>',
					'section'       =>  'section_nishiki_pro_wc_general',
					'settings'      =>  'setting_nishiki_pro_wc_general_on_sale',
				)
			)
		);

		// ON SALE Text Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_on_sale_text_color',array(
			'default'           =>  '#ffffff',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_on_sale_text_color',
				array(
					'label'       =>  __( 'Text Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_on_sale_text_color',
				)
			)
		);

		// ON SALE Text Background Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_on_sale_text_background_color',array(
			'default'           =>  '#e80000',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_on_sale_text_background_color',
				array(
					'label'       =>  __( 'Background Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_on_sale_text_background_color',
				)
			)
		);

		// Heading
		$wp_customize->add_setting( 'setting_nishiki_pro_wc_general_price', array(
			'sanitize_callback' => 'nishiki_pro_sanitize_text',
		));

		$wp_customize->add_control(
			new Nishiki_Pro_WC_Customize_Content(
				$wp_customize, 'ctrl_nishiki_pro_wc_general_price',
				array(
					'label'         =>  '<p class="nishiki-pro-wc-customizer-heading">価格表示</p>',
					'section'       =>  'section_nishiki_pro_wc_general',
					'settings'      =>  'setting_nishiki_pro_wc_general_price',
				)
			)
		);

		// Price Text Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_price_text_color',array(
			'default'           =>  '#444444',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_price_text_color',
				array(
					'label'       =>  __( 'Text Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_price_text_color',
				)
			)
		);

		// Heading
		$wp_customize->add_setting( 'setting_nishiki_pro_wc_general_price_discount', array(
			'sanitize_callback' => 'nishiki_pro_sanitize_text',
		));

		$wp_customize->add_control(
			new Nishiki_Pro_WC_Customize_Content(
				$wp_customize, 'ctrl_nishiki_pro_wc_general_price_discount',
				array(
					'label'         =>  '<p class="nishiki-pro-wc-customizer-heading">価格表示（割引）</p>',
					'section'       =>  'section_nishiki_pro_wc_general',
					'settings'      =>  'setting_nishiki_pro_wc_general_price_discount',
				)
			)
		);

		// Price Discount Text Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_price_discount_text_color',array(
			'default'           =>  '#ff4d8c',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_price_discount_text_color',
				array(
					'label'       =>  __( 'Text Color', 'nishiki-pro-wc' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_price_discount_text_color',
				)
			)
		);

		// Heading
		$wp_customize->add_setting( 'setting_nishiki_pro_wc_general_rating_star', array(
			'sanitize_callback' => 'nishiki_pro_sanitize_text',
		));

		$wp_customize->add_control(
			new Nishiki_Pro_WC_Customize_Content(
				$wp_customize, 'ctrl_nishiki_pro_wc_general_rating_star',
				array(
					'label'         =>  '<p class="nishiki-pro-wc-customizer-heading">評価スター</p>',
					'section'       =>  'section_nishiki_pro_wc_general',
					'settings'      =>  'setting_nishiki_pro_wc_general_rating_star',
				)
			)
		);

		// Rating Star Color
		$wp_customize->add_setting('setting_nishiki_pro_wc_general_rating_star_color',array(
			'default'           =>  '#96588a',
			'sanitize_callback' =>  'sanitize_hex_color',
		));

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ctrl_nishiki_pro_wc_general_rating_star_color',
				array(
					'label'       =>  __( 'Color', 'nishiki-pro' ),
					'section'     =>  'section_nishiki_pro_wc_general',
					'settings'    =>  'setting_nishiki_pro_wc_general_rating_star_color',
				)
			)
		);
	}
}
